import https from '../utils/https'

// 客户迫切解决的问题 /api/v1/more_level_screening/problem_distribution
export const getProblemDistribution = (params) => {
  return https.post('/api/v1/sales/problem_distribution', params)
}

// 今日通话  /api/v1/more_level_screening/today_call
export const getTodayCall = (params) => {
  return https.post('/api/v1/sales/today_call', params)
}

// 表格填写率 /api/v1/more_level_screening/table_filling_rate
export const getTableFillingRate = (params) => {
  return https.post('/api/v1/sales/table_filling_rate', params)
}

// 平均应答时间  /api/v1/more_level_screening/average_response_time
export const getAverageResponseTime = (params) => { 
  return https.post('/api/v1/sales/average_response_time', params)
}

// 周活跃客户沟通率 /api/v1/sales/weekly_active_communication_rate
export const getWeeklyActiveCommunicationRate = (params) => {
  return https.post('/api/v1/sales/weekly_active_communication_rate', params)
}

// 超时应答率  /api/v1/sales/timeout_response_rate
export const getTimeoutResponseRate = (params) => {
  return https.post('/api/v1/sales/timeout_response_rate', params)
}

// 转化率、分配数据量、加微率    /api/v1/sales/conversion_rate_and_allocated_data
export const getConversionRateAndAllocatedData = (params) => {
  return https.post('/api/v1/sales/conversion_rate_and_allocated_data', params)
}

// 时间线  /api/v1/customer_list/sales_customers_list
export const getCustomerAttendance = (params ) => {
  return https.post('/api/v1/sales_timeline/get_all_customers', params)
}

// 课1-4之后的4个阶段  /api/v1/sales_timeline/get_class_customers
export const getCustomerAttendanceAfterClass4 = (params) => {
  return https.post('/api/v1/sales_timeline/get_class_customers', params)
}

// 成交   /api/v1/sales_timeline/get_pay_money_customers
export const getPayMoneyCustomers = (params) => {
  return https.post('/api/v1/sales_timeline/get_pay_money_customers', params)
}

// 客户聊天记录  /api/v1/sales/get_customer_chat_info
export const getCustomerChatInfo = (params) => {
  return https.post('/api/v1/sales_timeline/get_customer_chat_info', params)
}

// 客户表单详情  /api/v1/sales/get_customer_form_info
export const getCustomerFormInfo = (params) => {
  return https.post('/api/v1/sales_timeline/get_customer_form_info', params)
}

// 客户通话录音  /api/v1/sales/get_customer_call_info
export const getCustomerCallInfo = (params) => {
  return https.post('/api/v1/sales_timeline/get_customer_call_info', params)
}

// 销售漏斗  /api/v1/sales/sales_funnel
export const getSalesFunnel = (params) => {
  return https.post('/api/v1/sales/sales_funnel', params)
}
// 黄金联络   /api/v1/sales/get_gold_contact_time
export const getGoldContactTime = (params) => {
  return https.post('/api/v1/sales/get_gold_contact_time', params)
}
// 平均通话时长    /api/v1/sales/get_avg_call_time
export const getAvgCallTime = (params) => {
  return https.post('/api/v1/sales/get_avg_call_time', params)
}


